Browse Source

i18n: git-bisect bisect_run + $@ messages

Gettextize bisect_run messages that use the $@ variable. Since it's
subroutine local we have to provide an alias for it for eval_gettext.

Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
maint
Ævar Arnfjörð Bjarmason 14 years ago committed by Junio C Hamano
parent
commit
0920925584
  1. 10
      git-bisect.sh

10
git-bisect.sh

@ -380,14 +380,18 @@ bisect_run () { @@ -380,14 +380,18 @@ bisect_run () {

while true
do
echo "running $@"
command="$@"
eval_gettext "running \$command"; echo
"$@"
res=$?

# Check for really bad run error.
if [ $res -lt 0 -o $res -ge 128 ]; then
echo >&2 "bisect run failed:"
echo >&2 "exit code $res from '$@' is < 0 or >= 128"
(
eval_gettext "bisect run failed:
exit code \$res from '\$command' is < 0 or >= 128" &&
echo
) >&2
exit $res
fi


Loading…
Cancel
Save